Neonode zForce(TM) SDK

Public Attributes | List of all members
StreamingDataFrame Struct Reference

Struct containing the StreamingDataFrame information. More...

`#include <StreamingDataFrame.h>`

Collaboration diagram for StreamingDataFrame:
[legend]

## Public Attributes
char * | DataFrameType
| A string pointer to the type of DataFrame. More...
Connection * | Connection
| A Connection pointer that associates the DataFrame with the Connection. More...
uint64_t | RelativeTimeoutMilliSeconds
| Relative timeout in MilliSeconds. More...
void(* | Destructor )(DataFrame *self)
| Destructor for StreamingDataFrame. More...
uint8_t * | Data
| Pointer to the data.
uint32_t | Length
| Length of the data.

## Detailed Description

Struct containing the StreamingDataFrame information.

StreamingDataFrame contains the DataFrame base, a pointer to the data and its length.

## Member Data Documentation

## ◆ Connection

Connection* StreamingDataFrame::Connection

A Connection pointer that associates the DataFrame with the Connection.

A Connection pointer that associates the DataFrame with the Connection.
Inherited from DataFrame base class.

## ◆ DataFrameType

char* StreamingDataFrame::DataFrameType

A string pointer to the type of DataFrame.

A string pointer to the type of DataFrame. For now the only type is Streaming. In the future we can have more types.
Inherited from DataFrame base class.

## ◆ Destructor

void(* StreamingDataFrame::Destructor) (DataFrame *self)

Destructor for StreamingDataFrame.

Destructor for StreamingDataFrame. Frees up StreamingDataFrame's allocated memory. Inherited from DataFrame base class.

Parameters

  self | Pointer to the struct itself.

Returns
  Returns nothing.

## ◆ RelativeTimeoutMilliSeconds

uint64_t StreamingDataFrame::RelativeTimeoutMilliSeconds

Relative timeout in MilliSeconds.

Relative timeout in MilliSeconds.
Inherited from DataFrame base class.

The documentation for this struct was generated from the following file:

- StreamingDataFrame.h